package cn.com.qmth.stmms.biz.mark.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 试评特殊标记
 *
 * @author luoshi
 */
@Entity
@Table(name = "m_trial_tag")
public class TrialTag implements Serializable {

    private static final long serialVersionUID = -8285432578334015469L;

    @Id
    @GeneratedValue
    private Integer id;

    @Column(name = "library_id", nullable = false)
    private Integer libraryId;

    @Column(name = "marker_id", nullable = false)
    private Integer markerId;

    @Column(name = "content", nullable = false)
    private String content;

    @Column(name = "position_x", nullable = false)
    private Double positionX;

    @Column(name = "position_y", nullable = false)
    private Double positionY;

    /**
     * 所在裁切图序号
     */
    @Column(name = "offset_index", nullable = false)
    private Integer offsetIndex;

    /**
     * 相对裁切图X轴坐标
     */
    @Column(name = "offset_x", nullable = false)
    private Integer offsetX;

    /**
     * 相对裁切图Y轴坐标
     */
    @Column(name = "offset_y", nullable = false)
    private Integer offsetY;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getLibraryId() {
        return libraryId;
    }

    public void setLibraryId(Integer libraryId) {
        this.libraryId = libraryId;
    }

    public Integer getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Integer markerId) {
        this.markerId = markerId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }

    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }

    public Integer getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(Integer offsetIndex) {
        this.offsetIndex = offsetIndex;
    }

    public Integer getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(Integer offsetX) {
        this.offsetX = offsetX;
    }

    public Integer getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(Integer offsetY) {
        this.offsetY = offsetY;
    }
}
