package cn.com.qmth.stmms.biz.mark.query;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.mark.model.MarkLibrary;
import cn.com.qmth.stmms.common.enums.LibraryStatus;
import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import java.util.HashSet;
import java.util.Set;

public class MarkLibrarySearchQuery extends BaseQuery<MarkLibrary> {

    private int examId;

    private String subjectCode;

    private int campusId;

    private Integer studentId;

    private String examNumber;

    private String secretNumber;

    private Set<LibraryStatus> statusSet;

    private int markerId;

    private int groupNumber;

    private Double markerScore;

    private Double startScroe;

    private Double endScroe;

    public MarkLibrarySearchQuery() {
        super();
        this.statusSet = new HashSet<>();
    }

    public void orderByMarkerTimeDesc() {
        setSort(new Sort(Direction.DESC, "markerTime"));
    }

    public void orderByExamNumber() {
        setSort(new Sort(Direction.ASC, "examNumber"));
    }

    public void orderById() {
        setSort(new Sort(Direction.ASC, "id"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public int getMarkerId() {
        return markerId;
    }

    public void setMarkerId(int markerId) {
        this.markerId = markerId;
    }

    public int getCampusId() {
        return campusId;
    }

    public void setCampusId(int campusId) {
        this.campusId = campusId;
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Set<LibraryStatus> getStatusSet() {
        return statusSet;
    }

    public void clearStatus() {
        this.statusSet.clear();
    }

    public void addStatus(LibraryStatus status) {
        this.statusSet.add(status);
    }

    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }

    public Double getStartScroe() {
        return startScroe;
    }

    public void setStartScroe(Double startScroe) {
        this.startScroe = startScroe;
    }

    public Double getEndScroe() {
        return endScroe;
    }

    public void setEndScroe(Double endScroe) {
        this.endScroe = endScroe;
    }

}
