package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;

import cn.com.qmth.stmms.common.annotation.ExcelField;

import java.io.Serializable;

/**
 * 分段统计
 *
 * @author xuwenjin
 * @date 2019-04-19
 */
@Entity
@Table(name = "s_range_subject", indexes = {@Index(columnList = "exam_id,subject_code")})
public class ReportSubjectRange implements Serializable {

    private static final long serialVersionUID = -6460526419770818333L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @ExcelField(title = "课程代码", align = 2, sort = 10)
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 科目名称
     */
    @ExcelField(title = "课程名称", align = 2, sort = 20)
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 层次
     */
    @ExcelField(title = "课程层次", align = 2, sort = 30)
    @Column(name = "subject_level")
    private String level;

    /**
     * 0-49数量
     */
    @ExcelField(title = "0-", align = 2, sort = 40)
    private Integer count0_49;

    /**
     * 0-49占比
     */
    @ExcelField(title = "0-占比(%)", align = 2, sort = 50)
    private double percent0_49;

    @ExcelField(title = "50-", align = 2, sort = 60)
    private Integer count50_59;

    @ExcelField(title = "50-占比(%)", align = 2, sort = 70)
    private double percent50_59;

    @ExcelField(title = "60-", align = 2, sort = 80)
    private Integer count60_69;

    @ExcelField(title = "60-占比(%)", align = 2, sort = 90)
    private double percent60_69;

    @ExcelField(title = "70-", align = 2, sort = 100)
    private Integer count70_79;
    
    @ExcelField(title = "70-占比(%)", align = 2, sort = 110)
    private double percent70_79;

    @ExcelField(title = "80-", align = 2, sort = 120)
    private Integer count80_89;

    @ExcelField(title = "80-占比(%)", align = 2, sort = 130)
    private double percent80_89;

    @ExcelField(title = "90-", align = 2, sort = 140)
    private Integer count90_100;

    @ExcelField(title = "90-占比(%)", align = 2, sort = 150)
    private double percent90_100;

    /**
     * 小于60数量
     */
    @ExcelField(title = "<60", align = 2, sort = 160)
    private Integer lt60;

    /**
     * 小于60占比
     */
    @ExcelField(title = "<60占比(%)", align = 2, sort = 170)
    private double percent_lt60;

    /**
     * 大于等于60数量
     */
    @ExcelField(title = ">=60", align = 2, sort = 180)
    private Integer mte60;

    /**
     * 大于等于60占比
     */
    @ExcelField(title = ">=60占比(%)", align = 2, sort = 190)
    private double percent_mte60;

    /**
     * 总数
     */
    @ExcelField(title = "总数", align = 2, sort = 200)
    private Integer totalCount;


    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getCount0_49() {
        return count0_49;
    }

    public void setCount0_49(Integer count0_49) {
        this.count0_49 = count0_49;
    }

    public double getPercent0_49() {
        return percent0_49;
    }

    public void setPercent0_49(double percent0_49) {
        this.percent0_49 = percent0_49;
    }

    public Integer getCount50_59() {
        return count50_59;
    }

    public void setCount50_59(Integer count50_59) {
        this.count50_59 = count50_59;
    }

    public double getPercent50_59() {
        return percent50_59;
    }

    public void setPercent50_59(double percent50_59) {
        this.percent50_59 = percent50_59;
    }

    public Integer getCount60_69() {
        return count60_69;
    }

    public void setCount60_69(Integer count60_69) {
        this.count60_69 = count60_69;
    }

    public double getPercent60_69() {
        return percent60_69;
    }

    public void setPercent60_69(double percent60_69) {
        this.percent60_69 = percent60_69;
    }

    public Integer getCount70_79() {
        return count70_79;
    }

    public void setCount70_79(Integer count70_79) {
        this.count70_79 = count70_79;
    }

    public double getPercent70_79() {
        return percent70_79;
    }

    public void setPercent70_79(double percent70_79) {
        this.percent70_79 = percent70_79;
    }

    public Integer getCount80_89() {
        return count80_89;
    }

    public void setCount80_89(Integer count80_89) {
        this.count80_89 = count80_89;
    }

    public double getPercent80_89() {
        return percent80_89;
    }

    public void setPercent80_89(double percent80_89) {
        this.percent80_89 = percent80_89;
    }

    public Integer getCount90_100() {
        return count90_100;
    }

    public void setCount90_100(Integer count90_100) {
        this.count90_100 = count90_100;
    }

    public double getPercent90_100() {
        return percent90_100;
    }

    public void setPercent90_100(double percent90_100) {
        this.percent90_100 = percent90_100;
    }

    public Integer getLt60() {
        return lt60;
    }

    public void setLt60(Integer lt60) {
        this.lt60 = lt60;
    }


    public Integer getMte60() {
        return mte60;
    }

    public void setMte60(Integer mte60) {
        this.mte60 = mte60;
    }

    public double getPercent_lt60() {
        return percent_lt60;
    }

    public void setPercent_lt60(double percent_lt60) {
        this.percent_lt60 = percent_lt60;
    }

    public double getPercent_mte60() {
        return percent_mte60;
    }

    public void setPercent_mte60(double percent_mte60) {
        this.percent_mte60 = percent_mte60;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }
}