package cn.com.qmth.stmms.biz.school.service.impl;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import cn.com.qmth.stmms.biz.lock.LockService;
import cn.com.qmth.stmms.biz.school.service.SchoolService;
import cn.com.qmth.stmms.common.enums.LockType;

/**
 * 机构同步定时任务
 *
 */

@Component
public class OrgCornService {

    protected static final Logger log = LoggerFactory.getLogger(OrgCornService.class);

    @Autowired
    SchoolService schoolService;

    @Autowired
    private LockService lockService;

    @Value("${qmth.solar.accessKey}")
    private String accessKey;

    @Value("${qmth.solar.accessSecret}")
    private String accessSecret;

    /**
     * 自动同步
     */
    @Scheduled(cron = "${school.updateMinute}")
    public void cronUpdateOrg() {
        if (StringUtils.isNotBlank(accessKey) && StringUtils.isNotBlank(accessSecret)) {
            lockService.trylock(LockType.SCHOOL, "");
            try {
                schoolService.updateOrg();
            } catch (Exception e) {
                log.error("OrgCornTask error", e);
            }
            lockService.unlock(LockType.SCHOOL, "");
        }
    }
}
