<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>标记试卷处理</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<form id="searchForm" action="${ctx}/admin/exam/problem/history" method="post" class="breadcrumb form-search">
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label>科目</label>
        <select class="input-large" name="subjectCode" id="subject-select">
            <option value="">请选择</option>
            <c:forEach items="${subjectList}" var="subject">
                <option value="${subject.code}" <c:if test="${subject.code==query.subjectCode}">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        <label>分组</label>
        <select class="input-medium" id="group-select" name="groupNumber">
            <option value="0">请选择</option>
            <c:forEach items="${groupList}" var="item">
                <option value="${item.number}" <c:if test="${item.number==query.groupNumber}">selected</c:if>>${item.number}-${item.title}</option>
            </c:forEach>
        </select>
        <label>类型</label>
        <select class="input-medium" name="problemId">
            <option value="">请选择</option>
            <c:forEach items="${problemList}" var="problem">
                <option value="${problem.id}" <c:if test="${problem.id==query.problemId}">selected</c:if>>${problem.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>考生编号</label>
        <input type="text" name="secretNumber" id="secretNumber" value="${query.secretNumber}" class="input-medium"/>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>科目</th>
        <th>分组序号</th>
        <th>准考证号</th>
        <th>考生编号</th>
        <th>姓名</th>
        <th>评卷员</th>
        <th>提交时间</th>
        <th>问题类型</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${resultList}" var="result">
        <tr>
            <td>${result.subjectCode}-${result.subjectName}</td>
            <td>${result.number}</td>
            <td>
            	<c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">
	            ${fn:substring(result.examNumber,0,1)}***
	            </c:if>
	            <c:if test="${web_user.schoolAdmin==true || forbiddenInfo==false}">
	            ${result.examNumber}
	            </c:if>
            </td>
            <td>${result.secretNumber}</td>
            <td>
            	<c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">
	            ${fn:substring(result.name,0,1)}**
	            </c:if>
	            <c:if test="${web_user.schoolAdmin==true || forbiddenInfo==false}">
	            ${result.name}
	            </c:if>
            </td>
            <td>${result.markLogin}</td>
            <td>${result.markTime}</td>
            <td>${result.problemType.name}</td>
            <td>
                <%--  <a class="json-link" href="${ctx}/admin/exam/library/getJson?studentId=${result.id}&groupNumber=${result.number}" target="_blank">原图</a>--%>
               	<a href="${ctx}/web/admin/exam/track/library?libraryId=${result.libraryId}&subjectCode=${result.subjectCode}" target="_blank">试卷详情</a>
                &nbsp;
                <a href="##" data-id="${result.libraryId}" class="back-link">打回</a>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<div class="pagination">${query}</div>
<%@include file="/WEB-INF/views/include/trackView.jsp" %>
<script type="text/javascript">
    $(document).ready(function () {
        /* new jBox('Image', {
            imageFade: 0,
            delayOpen: 0,
            delayClose: 0,
            maxHeight: $(window).height()*0.88
        }); */
        $('.back-link').click(function () {
            if (!confirm('确定要打回该评卷任务吗?')) {
                return;
            }
            $.post('${ctx}/admin/exam/library/reject', {id: $(this).attr('data-id'),isRest:true}, function (result) {
                if (result.success == true) {
                    alert('打回成功');
                    $("#searchForm").submit();
                } else {
                    alert(result.message);
                }
            });
        });
        $('.track-link').click(function () {
            initTrackPopover($(this).attr('data-title'), $(this).attr('data-image-url'));
            return false;
        });
        $('#subject-select').change(function () {
            var code = $(this).val();
            $('#group-select').empty();
            $("<option value='0'>请选择</option>").appendTo('#group-select');
            if (code == '') {
                $('#group-select').val('').trigger('change');
                return;
            }

            $.post('${ctx}/admin/exam/group/query', {subjectCode: code, status: 'FORMAL'}, function (result) {
                var parent = $('#group-select');
                var first = '';
                for (var i = 0; i < result.length; i++) {
                    var group = result[i];
                    $('<option value="' + group.number + '">' + group.number + '-' + group.title + '</option>').appendTo(parent);
                    if (i == 0) {
                        first = group.number;
                    }
                }
                parent.val(first).trigger('change');
            });
        });
    });

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").attr('action', '${ctx}/admin/exam/problem/history');
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#pageSize").val('${query.pageSize}');
        $("#searchForm").attr('action', '${ctx}/admin/exam/problem/history');
        $("#searchForm").submit();
        return false;
    }
</script>
</body>
</html>