<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
  <title>教研报告</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1, maximum-scale=1, user-scalable=1" />
  <meta name="renderer" content="webkit|ie-comp|ie-stand" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <link rel="stylesheet" type="text/css" href="${ctxStatic}/report-pdf/css/teaching.css" />
  <script>
  	var dataStatic = ${data};
  </script>
  
</head>
<body>

<!-- body-main -->
  <div class="body-main" id="body-main">

  </div>


  <!-- template -->
  <!-- page-error -->
  <script id="page-error" type="text/html">
    <div class="page-error">
      <#:=message#>
    </div>
  </script>
  <!-- page-box -->
  <script id="page-box" type="text/html">
    <div class="page-box <#:=boxType#>">
      <div class="page-body">
        <h1 class="page-title-1">教研分析报告</h1>
        <div class="page-content">
          <#:=bodyDom#>
        </div>
      </div>
    </div>
  </script>
  <!-- page-footer -->
  <script id="page-foot" type="text/html">
    <div class="page-foot">
      <div class="foot-left">
        <p>版权所有：武汉启明泰和软件服务有限公司</p>
      </div>
      <div class="foot-right">
        <span class="page-num">PAGE <#:=pageNum#></span>
      </div>
    </div>
  </script>
  <!-- cover -->
  <script id="cover" type="text/html">
    <div class="page-box cover-box">
      <div class="cover-title"></div>
      <div class="cover-footer">
        <p><span>考试名称：</span><span><#:=examName#></span></p>
        <p><span>学校：</span><span><#:=schoolName#></span></p>
        <p><span>科目：</span><span><#:=subjectName#></span></p>
      </div>
    </div>
  </script>
  <!-- page-chart bar-point line line-reverse -->
  <script id="page-chart" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <div class="page-chart <#:=chartClassName#>" id="<#:=chartId#>" style="height: <#:=height#>;"></div>
  </script>
  <!-- question-table -->
  <script id="question-table" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th>题目名称</th>
          <th>单题总分</th>
          <th>单题平均分</th>
          <th>单题标准差</th>
          <th>得分率</th>
          <th>满分率</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var question = dataList[i] #>
        <tr>
          <td class="td-ques-name"><p class="question-name"><span><#:=question.name#></span><span><#:=question.number#></span></p></td>
          <td><#:=question.fullScore#></td>
          <td><#:=question.avgScore#></td>
          <td><#:=question.stdevScore#></td>
          <td><#:=question.scoreRate#></td>
          <td><#:=question.fullRate#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- classes-table -->
  <script id="classes-table" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th>班级</th>
          <th>平均分</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>标准差</th>
          <th>差异系数</th>
          <th>难度</th>
          <th>及格数</th>
          <th>及格率</th>
          <th>优秀数</th>
          <th>优秀率</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var item = dataList[i] #>
        <tr>
          <td class="td-class-name"><p class="class-name"><#:=item.name#></p></td>
          <td><#:=item.avgScore#></td>
          <td><#:=item.maxScore#></td>
          <td><#:=item.minScore#></td>
          <td><#:=item.stdevScore#></td>
          <td><#:=item.coefficient#></td>
          <td><#:=item.difficulty#></td>
          <td><#:=item.passCount#></td>
          <td><#:=item.passRate#></td>
          <td><#:=item.excellentCount#></td>
          <td><#:=item.excellentRate#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>

  <!-- teacher-score -->
  <script id="teacher-score" type="text/html">
    <h2 class="page-title-2">任课老师成绩分析</h2>
    <div class="page-chart chart-teachers" id="<#:=chartId#>" ></div>
    <#:=teacherScoreTableTpl({dataList: dataList, pageTableClass: 'teacher-table'})#>
  </script>
  <!-- teacher-score-table -->
  <script id="teacher-score-table" type="text/html">
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th>任课<br>老师</th>
          <th>有效<br>人数</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>及格<br>人数</th>
          <th>及格率(%)</th>
          <th>优秀<br>人数</th>
          <th>优秀率(%)</th>
          <th>平均分</th>
          <th>相对<br>平均分</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var total = dataList[i] #>
        <tr>
          <td><#:=total.name#></td>
          <td><#:=total.totalCount#></td>
          <td><#:=total.maxScore#></td>
          <td><#:=total.minScore#></td>
          <td><#:=total.passCount#></td>
          <td><#:=total.passRate100#></td>
          <td><#:=total.excellentCount#></td>
          <td><#:=total.excellentRate100#></td>
          <td><#:=total.avgScore#></td>
          <td><#:=total.relativeAvgScore#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- teacher-class-table -->
  <script id="teacher-class-table" type="text/html">
    <h2 class="page-title-2">任课老师成绩分析</h2>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th>任课<br>老师</th>
          <th>班级</th>
          <th>有效<br>人数</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>及格<br>人数</th>
          <th>及格率<br>(%)</th>
          <th>优秀<br>人数</th>
          <th>优秀率<br>(%)</th>
          <th>平均分</th>
          <th>相对<br>平均分</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var classes = dataList[i].classes; #>
        <# for (var j = 0;j < classes.length; j++) {#>
        <# var total = classes[j] #>
        <tr>
          <# if (j == 0) { #>
          <td class="<#:=classes.length <= 2 ? 'td-group-name-' + classes.length : ''#>" rowspan="<#:=classes.length#>"><p><#:=dataList[i].name#></p></td>
          <# } #>
          <td class="td-class-name"><p class="class-name"><#:=total.name#></p></td>
          <td><#:=total.totalCount#></td>
          <td><#:=total.maxScore#></td>
          <td><#:=total.minScore#></td>
          <td><#:=total.passCount#></td>
          <td><#:=total.passRate100#></td>
          <td><#:=total.excellentCount#></td>
          <td><#:=total.excellentRate100#></td>
          <td><#:=total.avgScore#></td>
          <td><#:=total.relativeAvgScore#></td>
        </tr>
        <# } #>
        <# } #>
      </table>
    </div>
  </script>
  <!-- teacher-grade -->
  <script id="teacher-grade" type="text/html">
    <# for (var i = 0; i < chartList.length; i++) { #>
    <div class="page-chart chart-teacher-grade" id="<#:=chartList[i]#>"></div>
    <# } #>
    <div class="page-chart-legend">
      <ul>
        <li>平均分</li>
        <li>相对平均分</li>
        <li>最高分</li>
        <li>最低分</li>
        <li>及格率</li>
        <li>优秀率</li>
      </ul>
    </div>
  </script>
  <!-- college-table -->
  <script id="college-table" type="text/html">
    <h2 class="page-title-2">学院成绩分析</h2>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th>学生院系</th>
          <th>平均分</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>及格数</th>
          <th>及格率(%)</th>
          <th>优秀率(%)</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var item = dataList[i] #>
        <tr>
          <td><#:=item.name#></td>
          <td><#:=item.avgScore#></td>
          <td><#:=item.maxScore#></td>
          <td><#:=item.minScore#></td>
          <td><#:=item.passCount#></td>
          <td><#:=item.passRate100#></td>
          <td><#:=item.excellentRate100#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- question-difficulty-table -->
  <script id="question-difficulty-table" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
          <th><#:=title.substr(0,2)#></th>
          <th>难度</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var item = dataList[i] #>
        <tr>
          <td><#:=item.name#>  <#:=item.number#></td>
          <td><#:=item.difficulty#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>

  <!-- discrimination-level-table -->
  <script id="discrimination-level-table" type="text/html">
    <h2 class="page-title-2">区分度等级分布</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th rowspan="2"></th>
          <th rowspan="2">题型</th>
          <th rowspan="2">题量</th>
          <th rowspan="2">满分</th>
          <th rowspan="2">差异<br>系数</th>
          <th colspan="3">优</th>
          <th colspan="3">良</th>
          <th colspan="3">可</th>
          <th colspan="3">差</th>
        </tr>
        <tr>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var groups = dataList[i].groups; #>
        <# for (var j = 0;j < groups.length; j++) {#>
        <tr>
          <# if (j == 0) { #>
          <td class="<#:=groups.length <= 2 ? 'td-group-name-' + groups.length: ''#>" rowspan="<#:=groups.length#>"><p><#:=dataList[i].name#></p></td>
          <# } #>
          <# var levels = groups[j].levels; #>
          <td class="td-name"><p><#:=groups[j].name#></p></td>
          <td><#:=groups[j].questionCount#></td>
          <td><#:=groups[j].fullScore#></td>
          <td><#:=groups[j].coefficient#></td>
          <td><#:=levels.excellent.questionCount#></td>
          <td><#:=levels.excellent.fullScore#></td>
          <td><#:=levels.excellent.questionRate#></td>
          <td><#:=levels.good.questionCount#></td>
          <td><#:=levels.good.fullScore#></td>
          <td><#:=levels.good.questionRate#></td>
          <td><#:=levels.general.questionCount#></td>
          <td><#:=levels.general.fullScore#></td>
          <td><#:=levels.general.questionRate#></td>
          <td><#:=levels.bad.questionCount#></td>
          <td><#:=levels.bad.fullScore#></td>
          <td><#:=levels.bad.questionRate#></td>
        </tr>
        <# } #>
        <# } #>
      </table>
    </div>
    <div class="table-tips">
      <span class="tips-tag">区分度评定标准</span>
      <span>优 D≥0.40；良 0.40>D≥0.30；可 0.30>D≥0.20；差 D < 0.20；</span>
    </div>
  </script>
  <!-- difficulty-level-table -->
  <script id="difficulty-level-table" type="text/html">
    <h2 class="page-title-2">难度等级分布</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th rowspan="2"></th>
          <th rowspan="2">题型</th>
          <th rowspan="2">题量</th>
          <th rowspan="2">满分</th>
          <th rowspan="2">难度</th>
          <th colspan="3">高难度</th>
          <th colspan="3">中等难度</th>
          <th colspan="3">低难度</th>
        </tr>
        <tr>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
          <th>题量</th>
          <th>分值</th>
          <th>%</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var groups = dataList[i].groups; #>
        <# for (var j = 0;j < groups.length; j++) {#>
        <tr>
          <# if (j == 0) { #>
          <td class="<#:=groups.length <= 2 ? 'td-group-name-' + groups.length : ''#>" rowspan="<#:=groups.length#>"><p><#:=dataList[i].name#></p></td>
          <# } #>
          <# var levels = groups[j].levels #>
          <td class="td-name"><p><#:=groups[j].name#></p></td>
          <td><#:=groups[j].questionCount#></td>
          <td><#:=groups[j].fullScore#></td>
          <td><#:=groups[j].difficulty#></td>
          <td><#:=levels.high.questionCount#></td>
          <td><#:=levels.high.fullScore#></td>
          <td><#:=levels.high.questionRate#></td>
          <td><#:=levels.middle.questionCount#></td>
          <td><#:=levels.middle.fullScore#></td>
          <td><#:=levels.middle.questionRate#></td>
          <td><#:=levels.low.questionCount#></td>
          <td><#:=levels.low.fullScore#></td>
          <td><#:=levels.low.questionRate#></td>
        </tr>
        <# } #>
        <# } #>
      </table>
    </div>
    <div class="table-tips">
      <span class="tips-tag">难度等级分布</span>
      <span>高难度 P＜0.40；中等难度 0.40≤P≤0.70；低难度 P＞0.70</span>
    </div>
  </script>
  <!-- basic-question-table -->
  <script id="basic-question-table" type="text/html">
    <h2 class="page-title-2">题目统计特征</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th>题号</th>
          <th>满分</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>平均分</th>
          <th>标准差</th>
          <th>差异系数</th>
          <th>难度</th>
          <th>区分度</th>
          <th>零分人数</th>
          <th>满分人数</th>
          <th>有效卷数</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var dataItem = dataList[i] #>
        <tr>
          <td><#:=dataItem.number#></td>
          <td><#:=dataItem.fullScore#></td>
          <td><#:=dataItem.maxScore#></td>
          <td><#:=dataItem.minScore#></td>
          <td><#:=dataItem.avgScore#></td>
          <td><#:=dataItem.stdevScore#></td>
          <td><#:=dataItem.coefficient#></td>
          <td><#:=dataItem.difficulty#></td>
          <td><#:=dataItem.discrimination#></td>
          <td><#:=dataItem.zeroCount#></td>
          <td><#:=dataItem.fullCount#></td>
          <td><#:=dataItem.totalCount#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- basic-main-question-table -->
  <script id="basic-main-question-table" type="text/html">
    <h2 class="page-title-2">大题结构特征</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th></th>
          <th>题型</th>
          <th>满分</th>
          <th>最高分</th>
          <th>最低分</th>
          <th>平均分</th>
          <th>标准差</th>
          <th>差异系数</th>
          <th>难度</th>
          <th>区分度</th>
          <th>零分人数</th>
          <th>满分人数</th>
          <th>有效卷数</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var dataItem = dataList[i] #>
        <tr>
          <# if (i == 0) { #>
            <td rowspan="<#:=dataList.length#>">全部</td>
          <# } #>
          <td class="td-name"><p><#:=dataItem.name#></p></td>
          <td><#:=dataItem.fullScore#></td>
          <td><#:=dataItem.maxScore#></td>
          <td><#:=dataItem.minScore#></td>
          <td><#:=dataItem.avgScore#></td>
          <td><#:=dataItem.stdevScore#></td>
          <td><#:=dataItem.coefficient#></td>
          <td><#:=dataItem.difficulty#></td>
          <td><#:=dataItem.discrimination#></td>
          <td><#:=dataItem.zeroCount#></td>
          <td><#:=dataItem.fullCount#></td>
          <td><#:=dataItem.totalCount#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- basic-question-option-table -->
  <script id="basic-question-option-table" type="text/html">
    <h2 class="page-title-2">选项分析</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th rowspan="2">题号</th>
          <th rowspan="2">标答</th>
          <th colspan="<#:=options.length#>">选项分布（%）</th>
          <th rowspan="2">空选</th>
          <th rowspan="2">难度</th>
          <th rowspan="2">区分度</th>
          <th rowspan="2">答对人数</th>
          <th rowspan="2">总人数</th>
        </tr>
        <tr>
          <# for (var i = 0; i < options.length; i++) { #>
          <th><#:=options[i]#></th>
          <# } #>
        </tr>
        <# for (var i = 0; i < questions.length; i++) { #>
        <tr>
          <td><#:=questions[i].number#></td>
          <td><#:=questions[i].answer#></td>
          <# var qoptions = questions[i].optionsRate #>
          <# for (var j = 0; j < options.length; j++) { #>
          <td><#:=qoptions[options[j]] || '0.00'#></td>
          <# } #>
          <td><#:=qoptions['#'] || '0.00' #></td>
          <td><#:=questions[i].difficulty#></td>
          <td><#:=questions[i].discrimination#></td>
          <td><#:=questions[i].correctCount#></td>
          <td><#:=questions[i].totalCount#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- range-level-table -->
  <script id="range-level-table" type="text/html">
    <h2 class="page-title-2">考生分段比例</h2>
    <div class="page-table level-table">
      <table class="table table-border">
        <tr>
          <th>班级</th>
          <th>低分段临界值</th>
          <th>高分段临界值</th>
          <th>有效卷数</th>
        </tr>
        <# for (var i = 0; i < dataList.length; i++ )  {#>
        <tr>
          <td><#:=dataList[i].name#></td>
          <td><#:=dataList[i].lowScore#></td>
          <td><#:=dataList[i].highScore#></td>
          <td><#:=dataList[i].totalCount#></td>
        </tr>
        <# } #>
      </table>
    </div>
    <div class="range-tips">
      <p>高分段考生是指得分在全体考生排名前27%的考生。低分段考生是指得分在全体考生排名后27%的考生。</p>
    </div>
  </script>
  <!-- range-totalScore -->
  <script id="range-totalScore" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <# if (chartId) { #>
    <div class="page-chart chart-line" id="<#:=chartId#>" ></div>
    <# } #>
    <div class="page-table <#:=pageTableClass#>">
      <table class="table table-border">
        <tr>
            <th>分数段</th>
            <th>人数</th>
            <th>频率（%）</th>
            <th>累计人数</th>
            <th>累计频率（%）</th>
        </tr>
        <# for (var i = 0; i < dataList.length; i++ )  {#>
        <tr>
          <td><#:=dataList[i].score#><#:=isOneStep ? '' : '-'#></td>
          <td><#:=dataList[i].rangeCount#></td>
          <td><#:=dataList[i].rangeRate#></td>
          <td><#:=dataList[i].sumCount#></td>
          <td><#:=dataList[i].sumRate#></td>
        </tr>
        <# } #>
      </table>
    </div>
  </script>
  <!-- range-segment-table -->
  <script id="range-segment-table" type="text/html">
    <h2 class="page-title-2"><#:=title#></h2>
    <div class="page-table page-table-pad">
      <table class="table table-border table-ave-6">
        <tr>
          <th class="th-empty"></th>
          <th>分数段</th>
          <th>人数</th>
          <th>频率（%）</th>
          <th>累计人数</th>
          <th>累计频率（%）</th>
        </tr>
        <# for (var i = 0;i < dataList.length; i++) {#>
        <# var segments = dataList[i].segments; #>
        <# for (var j = 0;j < segments.length; j++) {#>
        <tr>
          <# if (j == 0) { #>
          <td rowspan="<#:=segments.length#>"><#:=dataList[i].name#></td>
          <# } #>
          <# var levels = segments[j].levels; #>
          <td><#:=segments[j].score#></td>
          <td><#:=segments[j].rangeCount#></td>
          <td><#:=segments[j].rangeRate#></td>
          <td><#:=segments[j].sumCount#></td>
          <td><#:=segments[j].sumRate#></td>
        </tr>
        <# } #>
        <# } #>
      </table>
    </div>
  </script>


  <!-- js -->
  <script src="${ctxStatic}/report-pdf/libs/jquery-2.1.4.min.js"></script>
  <script src="${ctxStatic}/report-pdf/libs/echarts.min.4.2.0-rc2.js"></script>
  <script src="${ctxStatic}/report-pdf/libs/template.js"></script>
  <script src="${ctxStatic}/report-pdf/js/chart-render.js"></script>
  <script src="${ctxStatic}/report-pdf/js/data-parse.js"></script>
  <script src="${ctxStatic}/report-pdf/js/teaching.js"></script>
</body>
</html>