//默认要初始化的模块名称
MarkControl.prototype.defaultModules = {
    'status': {},
    'board': {
        visibleCount: 5,
        autoSubmit: false
    },
    'history': {
        pageSize: 20
    },
    'warning': {}
};

//所有可用功能模块的配置
MarkControl.prototype.moduleConfig = {
    'board': MarkBoard,
    'status': MarkStatus,
    'history': MarkHistory,
    'problem': ProblemProcess,
    //'paperView': PaperView,
    //'answerView': AnswerView
    'imageSimple': SimpleImageView,
    'warning': WarningInfo
};

MarkControl.prototype.history_dom = '<div class="mark-history span2"></div>';

MarkControl.prototype.center_dom = '<div class="center-content span10"></div>';

MarkControl.prototype.center_header_dom = '<div class="header"><p class="text"></p><p class="pictures"></p><p class="fraction"></p></div>';

MarkControl.prototype.sidebar_dom = '<div class="sidebar span2"></div>';

MarkControl.prototype.sidebar_header_dom = '<div class="header">\
<i class="icon-user icon-white"></i><i id="mark-user-name" class="useinfo"></i>\
<a id="mark-logout-button" class="logout" href="/mark/logout"><i class="icon-off icon-white"></i> 退出</a>\
</div>';

MarkControl.prototype.sidebar_tips_dom = '<div class="tips"><p></p></div>';

MarkControl.prototype.assistant_button_dom = '<a id="assistant-button" class="btn btn-primary btn-block tools" type="button">\
<i class="icon-hand-up icon-white"></i> 小助手</a>';

MarkControl.prototype.assistant_dom = '<div class="popover bottom assistant"><div class="arrow"></div></div>';

MarkControl.prototype.mark_function_dom = '<h3 class="popover-title">评卷功能</h3>\
<div class="popover-content"><p id="function-list" class="popover-list">\
</p></div>';

MarkStatus.prototype.center_header_dom = '<i id="type-name"></i> \
<i id="secret-title">密号:</i><i id="secret-number"></i> \
<i>评卷数:</i><i id="mark-count"></i> ';

MarkStatus.prototype.center_score_dom = '<i></i>';

MarkStatus.prototype.bottom_status_dom = '<div class="mark-detail mark-detail-float">\
<p id="bottom-status-title" class="m-close"><< 详细信息</p>\
<p id="bottom-status-detail" class="m-open hide">\
<i>试卷总数:</i><i class="yellow" id="total-count"></i> \
<i>已评:</i><i class="yellow" id="marked-count"></i> \
<i>未评:</i><i class="yellow" id="todo-count"></i> \
<i>已评比例:</i><i class="yellow" id="marked-percent"></i>\
</p></div>';

SimpleImageView.prototype.container_dom = '<div class="content"></div>';

SimpleImageView.prototype.imageHolder_dom = '<div style="position:relative"></div>';

SimpleImageView.prototype.center_header_dom = '<i class="L-pic">当前图片</i><i id="image-number" class="R-pic"></i>';

SimpleImageView.prototype.image_control_dom = '<div class="image-popover hide">\
<div class="image-control">\
<span class="control-row"><p class="title">图片切换</p><p class="content" id="image-switch-list"></p></span>\
<span class="control-row"><p class="title">图片控制</p>\
<p class="content">\
<a href="#" id="zoom-out-button">放大</a><a href="#" id="zoom-in-button">缩小</a>\
<a href="#" id="zoom-fit-button">1:1</a><a href="#" id="zoom-origin-button">原始</a>\
</p></span></div>\
<a href="#" class="image-popover-close"><p>关</p><p>闭</p></a></div>';

SimpleImageView.prototype.image_switch_button_dom = '<a href="#" class="image-switch-button"></a>';

MarkBoard.prototype.container_dom = '<div class="step-list"></div>';

MarkBoard.prototype.header_dom = '<div class="header"></div>';

MarkBoard.prototype.stepBoard_dom = '<div class="sublist">\
<p class="up" id="scroll-up-button"><img src="{staticServer}/images/up.png" /></p>\
<div id="step-holder"></div>\
<p class="down" id="scroll-down-button"><img src="{staticServer}/images/down.png" /></p>\
</div>';

MarkBoard.prototype.step_dom = '<div>\
<p class="title"><i class="number"></i><i class="interval"></i></p>\
<p class="content"></p>\
</div>';

MarkBoard.prototype.scoreBoard_dom = '<div class="score-board score-board-popover"></div>';

MarkBoard.prototype.scoreBoard_header_dom = '<div class="header">\
<p class="fl" id="score-board-header"></p>\
<a class="header-close" id="score-board-close-button" href="#">\
<img src="{staticServer}/images/close.png" /></a>\
</div>';

MarkBoard.prototype.scoreBoard_stepHolder_dom = '<div class="content"></div>';

MarkBoard.prototype.scoreBoard_step_dom = '<div class="sublist">\
<p class="number"></p>\
<p class="fraction"></p>\
</div>';

MarkBoard.prototype.scoreBoard_toggle_dom = '<a class="btn btn-block text" href="#" type="button">\
<i class="fl">分值表</i><i class="on" id="score-board-toggle-button"></i></a>';

MarkBoard.prototype.scoreBoard_score_dom = '<a href="#" class="score-select"></a>';

MarkBoard.prototype.scoreBoard_footer_dom = '<div class="footer">\
<p class="font">总分：<i class="yellow" id="score-board-total-score"></i></p>\
<a id="task-submit-button" class="button" href="#">提 交</a>\
</div>';

ProblemProcess.prototype.container_dom = '<h3 class="popover-title">问题卷</h3>\
<div class="popover-content"><p id="problem-list" class="popover-list">\
</p></div>';

ProblemProcess.prototype.button_dom = '<a class="problem-select-button" href="#"></a>';

MarkHistory.prototype.toggle_button_dom = '<a href="#">回评</a>';

MarkHistory.prototype.header_dom = '<div class="header">\
<p class="fl">前<i class="yellow" id="history-start"></i>份-前<i class="yellow" id="history-end"></i>份</p>\
<a href="#" id="close-history-button"><img src="{staticServer}/images/hp-close.png"></a>\
</div>';

MarkHistory.prototype.paginator_dom = '<div class="m-pagination"><a id="last-page-button" href="#">上一页</a>\
<i id="last-page-label">上一页</i>\
<a id="next-page-button" href="#">下一页</a>\
<i id="next-page-label">下一页</i></div>';

MarkHistory.prototype.history_list_dom = '<div class="sublist"><table class="table table-hover">\
<thead><tr><th>密号</th><th>时间</th><th>总分</th></tr></thead>\
<tbody id="history-list"></tbody></table></div>';

MarkHistory.prototype.history_row_dom = '<tr><td class="history-secret-number"></td>\
<td class="history-time"></td><td class="history-score"></td></tr>';

WarningInfo.prototype.container_dom = '<div class="warning-popover"><p></p>\
<a href="#" class="btn btn-large btn-primary text-c">请点击重试</a></div>';